-- Code: Daniel Elgh
-- GFX: Sam McGarry
-- ZENFart edit created by Sam McGarry

-- All material is copyrighted by its creator.

-- 2010-02-18
white = color.new(255, 255, 255);
black = color.new(0, 0, 0);
oldcolor=text.color(black)

function menu()
	while room1 == 1 do
		imgBg:draw(0,0)
		imgButton:draw(155,100);
		imgButton:draw(155,140);
		imgButton:draw(155,180);
		local old = text.size(25);
		oldcolor=text.color(black)
		text.color(oldcolor);
		text.size(15);
		text.draw(175,108,"Normal");
		text.draw(181,148,"Timer");
		text.draw(163,188,"Hot Potato");
		text.size(old);
		os.sleep(1);
		screen.update();
		if control.read() == 1 then
		    if (control.isTouch() == 1) and (touch.click() == 1) then
				touch_x, touch_y = touch.pos();
				randomSound()
   			end;
           	if (control.isButton() == 1) then
				if (button.home() == 1) and (button.click() == 1) then
     				room1 = 0;
     			end;
			end;
		end;
		if touch_x >= 155 and touch_x <= (155 + 93) and touch_y >= 100 and touch_y <= (100 + 33) then
	   		room2 = 1;
	   		normal();
	   		touch_x = 0;
	   		touch_y = 0;
		end;
		if touch_x >= 155 and touch_x <= (155 + 93) and touch_y >= 140 and touch_y <= (140 + 33) then
	   		room3 = 1;
	   		timer();
	   		touch_x = 0;
	   		touch_y = 0;
		end;
		if touch_x >= 155 and touch_x <= (155 + 93) and touch_y >= 190 and touch_y <= (190 + 33) then
	   		room4 = 1;
	   		hotPotato();
	   		touch_x = 0;
	   		touch_y = 0;
		end;
      	end;
	end;

function normal()
	while room2 == 1 do
		imgBg:draw(0,0)
		imgButton:draw(14,90);
		imgButton:draw(14,123);
		imgButton:draw(14,156);
		imgButton:draw(14,189);
		imgButton:draw(107,90);
		imgButton:draw(107,123);
		imgButton:draw(107,156);
		imgButton:draw(107,189);
		imgButton:draw(200,90);
		imgButton:draw(200,123);
		imgButton:draw(200,156);
		imgButton:draw(200,189);
		imgButton:draw(293,90);
		imgButton:draw(293,123);
		imgButton:draw(293,156);
		imgButton:draw(293,189);
		local old = text.size(25);
		oldcolor=text.color(black)
		text.color(oldcolor);
		text.size(15);
		text.draw(38,99,"Bitburr");
		text.draw(119,99,"The Strain");
		text.draw(220,99,"Splatter");
		text.draw(308,99,"Wet One");
		text.draw(42,132,"John");
		text.draw(133,132,"Relief");
		text.draw(227,132,"Bullet");
		text.draw(308,132,"Phaduka");
		text.draw(42,165,"Snart");
		text.draw(123,165,"Organic");
		text.draw(224,165,"Juicy?");
		text.draw(314,165,"Classic");
		text.draw(24,198,"Skid Marks");
		text.draw(128,198,"Quack");
		text.draw(208,198,"Rusty Gate");
		text.draw(323,198,"Dud");
		text.size(old);
		os.sleep(1);
		screen.update();
		if control.read() == 1 then
		    if (control.isTouch() == 1) and (touch.click() == 1) then
				touch_x, touch_y = touch.pos();
				mapPlay()
				randomSound()
   			end;
           	if (control.isButton() == 1) then
				if (button.home() == 1) and (button.click() == 1) then
     				room2 = 0;
     			end;
			end;
		end;
end;
end;

function timer()
	while room3 == 1 do
		imgBg2:draw(0,0)
		imgButton3:draw(152,25);
		imgButton2:draw(100,25);
		imgButton2:draw(263,25);
		imgButton4:draw(10,25);
		imgButton4:draw(313,25);
		imgButton:draw(14,90);
		imgButton:draw(14,123);
		imgButton:draw(14,156);
		imgButton:draw(14,189);
		imgButton:draw(107,90);
		imgButton:draw(107,123);
		imgButton:draw(107,156);
		imgButton:draw(107,189);
		imgButton:draw(200,90);
		imgButton:draw(200,123);
		imgButton:draw(200,156);
		imgButton:draw(200,189);
		imgButton:draw(293,90);
		imgButton:draw(293,123);
		imgButton:draw(293,156);
		imgButton:draw(293,189);
		local old = text.size(25);
		oldcolor=text.color(black)
		text.color(oldcolor);
		text.size(30);
		text.draw(111,25,"-");
		text.draw(274,25,"+");
		text.draw(24,28,"-10");
		text.draw(327,28,"+10");
		text.size(15);
		text.draw(38,99,"Bitburr");
		text.draw(119,99,"The Strain");
		text.draw(220,99,"Splatter");
		text.draw(308,99,"Wet One");
		text.draw(42,132,"John");
		text.draw(133,132,"Relief");
		text.draw(227,132,"Bullet");
		text.draw(308,132,"Phaduka");
		text.draw(42,165,"Snart");
		text.draw(123,165,"Organic");
		text.draw(224,165,"Juicy?");
		text.draw(314,165,"Classic");
		text.draw(24,198,"Skid Marks");
		text.draw(128,198,"Quack");
		text.draw(208,198,"Rusty Gate");
		text.draw(323,198,"Dud");
		text.size(old);
		text.draw(195,28,countdown);
		text.size(30);
		countdownTime = countdown*100;
		os.sleep(1);
		screen.update();
		if control.read() == 1 then
		    if (control.isTouch() == 1) and (touch.click() == 1) then
				touch_x, touch_y = touch.pos();
				countdownPlay()
				timerAdjust()
   			end;
           	if (control.isButton() == 1) then
				if (button.home() == 1) and (button.click() == 1) then
     				room3 = 0;
     			end;
			end;
		end;
end;
end;

function hotPotato()
	while room4 == 1 do
		imgBg2:draw(0,0)
		imgClicktostart:draw(0,11);
		os.sleep(1);
		screen.update();
		if control.read() == 1 then
		    if (control.isTouch() == 1) and (touch.click() == 1) then
				touch_x, touch_y = touch.pos();
				hotpotCountdown()
				hotpotrandomSound()
   			end;
           	if (control.isButton() == 1) then
				if (button.home() == 1) and (button.click() == 1) then
     				room4 = 0;
     			end;
			end;
		end;
end;
end;

function countdownDisplay()
		imgBg2:draw(0,0);
		imgArmed:draw(0,20);
		os.sleep(1);
		screen.update();
end;

function timerAdjust()
	if touch_x >= 100 and touch_x <= (100 + 40) and touch_y >= 25 and touch_y <= (25 + 40) and countdown >= 1 then
		countdown = countdown-1;
	end;
	if touch_x >= 263 and touch_x <= (263 + 40) and touch_y >= 25 and touch_y <= (25 + 40) then
		countdown = countdown+1;
	end;
	if touch_x >= 10 and touch_x <= (10 + 80) and touch_y >= 25 and touch_y <= (25 + 40) and countdown >= 10 then
		countdown = countdown-10;
	end;
	if touch_x >= 313 and touch_x <= (313 + 80) and touch_y >= 25 and touch_y <= (25 + 40) then
		countdown = countdown+10;
	end;
end;

function randomSound()
	if touch_x >= 169 and touch_x <= 232 and touch_y >= 12 and touch_y <= 74 then
		randomfart = math.random(16);
		randomFartPlay()
	end;
end;

function hotpotCountdown()
	if touch_x >= 0 and touch_x <= 400 and touch_y >= 0 and touch_y <= 200 then
		randomtime = math.random(5,30);
		hotpotcountdown = randomtime*100;
	end;
end;

function hotpotrandomSound()
	if touch_x >= 0 and touch_x <= 400 and touch_y >= 0 and touch_y <= 200 then
		hotpotrandomfart = math.random(16);
		hotpotrandomFartPlay()
	end;
end;

function randomFartPlay()
	if randomfart == 1 then
	   bitburr:play()
	end;

	if randomfart == 2 then
	   the_strain:play()
	end;

	if randomfart == 3 then
	   splatter:play()
	end;

	if randomfart == 4 then
	   wet_one:play()
	end;

	if randomfart == 5 then
	   john:play()
	end;

	if randomfart == 6 then
	   relief:play()
	end;

	if randomfart == 7 then
	   bullet:play()
	end;

	if randomfart == 8 then
	   phaduka:play()
	end;

	if randomfart == 9 then
	   snart:play()
	end;

	if randomfart == 10 then
	   organic:play()
	end;

	if randomfart == 11 then
	   juicy:play()
	end;

	if randomfart == 12 then
	   classic:play()
	end;

	if randomfart == 13 then
	   skid_marks:play()
	end;

	if randomfart == 14 then
	   quack:play()
	end;

	if randomfart == 15 then
	   rusty_gate:play()
	end;

	if randomfart == 16 then
	   dud:play()
	end;
end;

function hotpotrandomFartPlay()
	if hotpotrandomfart == 1 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   bitburr:play()
		menu()
	end;

	if hotpotrandomfart == 2 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   the_strain:play()
		menu()
	end;

	if hotpotrandomfart == 3 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   splatter:play()
		menu()
	end;

	if hotpotrandomfart == 4 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   wet_one:play()
		menu()
	end;

	if hotpotrandomfart == 5 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   john:play()
		menu()
	end;

	if hotpotrandomfart == 6 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   relief:play()
		menu()
	end;

	if hotpotrandomfart == 7 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   bullet:play()
		menu()
	end;

	if hotpotrandomfart == 8 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   phaduka:play()
		menu()
	end;

	if hotpotrandomfart == 9 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   snart:play()
		menu()
	end;

	if hotpotrandomfart == 10 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   organic:play()
		menu()
	end;

	if hotpotrandomfart == 11 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   juicy:play()
		menu()
	end;

	if hotpotrandomfart == 12 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   classic:play()
		menu()
	end;

	if hotpotrandomfart == 13 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   skid_marks:play()
		menu()
	end;

	if hotpotrandomfart == 14 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   quack:play()
		menu()
	end;

	if hotpotrandomfart == 15 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   rusty_gate:play()
		menu()
	end;

	if hotpotrandomfart == 16 then
		room4 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(hotpotcountdown);
	   dud:play()
		menu()
	end;
end;

function mapPlay()
	if touch_x >= 14 and touch_x <= (14 + 93) and touch_y >= 90 and touch_y <= (90 + 33) then
	   bitburr:play()
	end;

	if touch_x >= 107 and touch_x <= (107 + 93) and touch_y >= 90 and touch_y <= (90 + 33) then
	   the_strain:play()
	end;
	if touch_x >= 200 and touch_x <= (200 + 93) and touch_y >= 90 and touch_y <= (90 + 33) then
	   splatter:play()
	end;
	if touch_x >= 293 and touch_x <= (293 + 93) and touch_y >= 90 and touch_y <= (90 + 33) then
	   wet_one:play()
	end;
	if touch_x >= 14 and touch_x <= (14 + 93) and touch_y >= 123 and touch_y <= (123 + 33) then

	   john:play()
	end;
	if touch_x >= 107 and touch_x <= (107 + 93) and touch_y >= 123 and touch_y <= (123 + 33) then

	   relief:play()
	end;
	if touch_x >= 200 and touch_x <= (200 + 93) and touch_y >=123 and touch_y <= (123 + 33) then

	   bullet:play()
	end;
	if touch_x >= 293 and touch_x <= (293 + 93) and touch_y >= 123 and touch_y <= (123 + 33) then

	   phaduka:play()
	end;
	if touch_x >= 14 and touch_x <= (14 + 93) and touch_y >= 156 and touch_y <= (156 + 33) then

	   snart:play()
	end;
	if touch_x >= 107 and touch_x <= (107 + 93) and touch_y >= 156 and touch_y <= (156 + 33) then

	   organic:play()
	end;
	if touch_x >= 200 and touch_x <= (200 + 93) and touch_y >= 156 and touch_y <= (156 + 33) then

	   juicy:play()
	end;
	if touch_x >= 293 and touch_x <= (293 + 93) and touch_y >= 156 and touch_y <= (156 + 33) then

	   classic:play()
	end;
	if touch_x >= 14 and touch_x <= (14 + 93) and touch_y >= 189 and touch_y <= (189 + 33) then
	   skid_marks:play()
	end;
	if touch_x >= 107 and touch_x <= (107 + 93) and touch_y >= 189 and touch_y <= (189 + 33) then
	   quack:play()
	end;
	if touch_x >= 200 and touch_x <= (200 + 93) and touch_y >= 189 and touch_y <= (189 + 33) then
	   rusty_gate:play()
	end;
	if touch_x >= 293 and touch_x <= (293 + 93) and touch_y >= 189 and touch_y <= (189 + 33) then
	   dud:play()
	end;
end;

function countdownPlay()
	if touch_x >= 14 and touch_x <= (14 + 93) and touch_y >= 90 and touch_y <= (90 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   bitburr:play()
		menu()
	end;
	if touch_x >= 107 and touch_x <= (107 + 93) and touch_y >= 90 and touch_y <= (90 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   the_strain:play()
		menu()
	end;
	if touch_x >= 200 and touch_x <= (200 + 93) and touch_y >= 90 and touch_y <= (90 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   splatter:play()
		menu()
	end;
	if touch_x >= 293 and touch_x <= (293 + 93) and touch_y >= 90 and touch_y <= (90 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   wet_one:play()
		menu()
	end;
	if touch_x >= 14 and touch_x <= (14 + 93) and touch_y >= 123 and touch_y <= (123 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   john:play()
		menu()
	end;
	if touch_x >= 107 and touch_x <= (107 + 93) and touch_y >= 123 and touch_y <= (123 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   relief:play()
		menu()
	end;
	if touch_x >= 200 and touch_x <= (200 + 93) and touch_y >=123 and touch_y <= (123 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   bullet:play()
		menu()
	end;
	if touch_x >= 293 and touch_x <= (293 + 93) and touch_y >= 123 and touch_y <= (123 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   phaduka:play()
		menu()
	end;
	if touch_x >= 14 and touch_x <= (14 + 93) and touch_y >= 156 and touch_y <= (156 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   snart:play()
		menu()
	end;
	if touch_x >= 107 and touch_x <= (107 + 93) and touch_y >= 156 and touch_y <= (156 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   organic:play()
		menu()
	end;
	if touch_x >= 200 and touch_x <= (200 + 93) and touch_y >= 156 and touch_y <= (156 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   juicy:play()
		menu()
	end;
	if touch_x >= 293 and touch_x <= (293 + 93) and touch_y >= 156 and touch_y <= (156 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   classic:play()
		menu()
	end;
	if touch_x >= 14 and touch_x <= (14 + 93) and touch_y >= 189 and touch_y <= (189 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   skid_marks:play()
		menu()
	end;
	if touch_x >= 107 and touch_x <= (107 + 93) and touch_y >= 189 and touch_y <= (189 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   quack:play()
		menu()
	end;
	if touch_x >= 200 and touch_x <= (200 + 93) and touch_y >= 189 and touch_y <= (189 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   rusty_gate:play()
		menu()
	end;
	if touch_x >= 293 and touch_x <= (293 + 93) and touch_y >= 189 and touch_y <= (189 + 33) then
		room3 = 0;
		countdownDisplay();
		room1 = 1;
		os.sleep(countdownTime);
	   dud:play()
		menu()
	end;
end;

-- Copyright  Daniel Elgh, 2010
